package com.coocaa.app.base;

import com.coocaa.app.Util.DateUtil;
import com.coocaa.app.Util.SparkUtils.;
import com.coocaa.app.base.recommender_material_info..typecreator1.1;
import java.lang.invoke.SerializedLambda;
import org.apache.spark.sql.Column;
import org.apache.spark.sql.Dataset;
import org.apache.spark.sql.SaveMode;
import org.apache.spark.sql.SparkSession;
import org.apache.spark.sql.expressions.UserDefinedFunction;
import scala.Function2;
import scala.StringContext;
import scala.Tuple2;
import scala.collection.Seq;
import scala.collection.immutable.StringOps;
import scala.collection.immutable..colon.colon;
import scala.collection.mutable.WrappedArray;
import scala.reflect.api.JavaUniverse;
import scala.reflect.api.Mirror;
import scala.reflect.api.TypeTags;
import scala.reflect.api.JavaUniverse.JavaMirror;
import scala.reflect.api.TypeTags.TypeTag;
import scala.runtime.BoxesRunTime;

public final class recommender_material_info$ {

   public static recommender_material_info$ MODULE$;


   static {
      new recommender_material_info$();
   }

   public void main(String[] args) {
      SparkSession spark = .MODULE$.createSparkSession(this.getClass().getSimpleName());
      String yesterday = spark.sparkContext().getConf().get("spark.input.date", DateUtil.getDateBeforeDay());
      String max_partition_candidate = com.coocaa.app.Util.FunctionsUtility..MODULE$.getMaxPartitionDaysFromHive(spark, "cayeneen_dws.dws_base_vid_mix_media_candidate_d");
      String max_partition_rating = com.coocaa.app.Util.FunctionsUtility..MODULE$.getMaxPartitionDaysFromHive(spark, "cayeneen_dws.dws_base_vid_rating_d_sc");
      String max_partition_info = com.coocaa.app.Util.FunctionsUtility..MODULE$.getMaxPartitionDaysFromHive(spark, "cayeneen_dws.dws_base_vid_info_d");
      String max_partition_2018 = com.coocaa.app.Util.FunctionsUtility..MODULE$.getMaxPartitionDaysFromHive(spark, "cayeneen_ods.ods_cc_video_2018_partitions");
      String max_partition_user_vid_info = com.coocaa.app.Util.FunctionsUtility..MODULE$.getMaxPartitionDaysFromHive(spark, "cayeneen_dws.dws_user_video_info_new");
      String beforeDay_1 = DateUtil.getFormatDate(DateUtil.getDateBeforeOrAfter(DateUtil.getDateFromString(yesterday, "yyyy-MM-dd"), -1), "yyyy-MM-dd");
      String beforeDay_14 = DateUtil.getFormatDate(DateUtil.getDateBeforeOrAfter(DateUtil.getDateFromString(yesterday, "yyyy-MM-dd"), -15), "yyyy-MM-dd");
      Dataset candidate = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(2750)).append("\r\n         |select a.coocaa_v_id as coocaa_v_id,\r\n         |       title,\r\n         |       a.third_source as third_source,\r\n         |       score,\r\n         |       douban_score,\r\n         |       hot,\r\n         |       \'影视\' as business_type,\r\n         |       category_name,\r\n         |       category_id,\r\n         |       tag_name,\r\n         |       tag_weight,\r\n         |       tag_code,\r\n         |       row_tag_name,\r\n         |       row_tag_code,\r\n         |       f.main_actor as main_actor,\r\n         |       actor_name,\r\n         |       actor_code,\r\n         |       age,\r\n         |       style,\r\n         |       series_id,\r\n         |       series_title,\r\n         |       is_vip,\r\n         |       is_tv_od,\r\n         |       area,\r\n         |       year,\r\n         |       high_energy_status,\r\n         |       algo_video_id as third_id\r\n         |from\r\n         |(select coocaa_v_id,\r\n         |       title,\r\n         |       area,\r\n         |       third_source,\r\n         |       is_vip,\r\n         |       is_tv_od,\r\n         |       tag_name as row_tag_name,\r\n         |       tag_code as row_tag_code,\r\n         |       hot,\r\n         |       score,\r\n         |       series_id, algo_video_id,\r\n         |       series_title, category_name, category_id, main_actor as actor_name, main_actor_ids as actor_code\r\n         |from cayeneen_dws.dws_base_vid_mix_media_candidate_d\r\n         |where day=\'").append(max_partition_candidate).append("\'\r\n         |and category_id in (\'1\', \'2\', \'4\', \'5\', \'9\', \'3\'))a\r\n         |left join\r\n         |    (select coocaa_v_id, third_source, label_name as tag_name, label_code as tag_code, label_weight as tag_weight\r\n         |        from cayeneen_dws.dws_base_vid_info_d\r\n         |        where day=\'").append(max_partition_info).append("\' and label=\'标签\')b\r\n         |on a.coocaa_v_id=b.coocaa_v_id and a.third_source=b.third_source\r\n         |left join\r\n         |    (select coocaa_v_id, label_name as style\r\n         |        from cayeneen_dws.dws_base_vid_info_d\r\n         |        where day=\'").append(max_partition_info).append("\' and label=\'风格\')d\r\n         |on a.coocaa_v_id=d.coocaa_v_id\r\n         |left join\r\n         |    (select coocaa_v_id, label_name as age\r\n         |        from cayeneen_dws.dws_base_vid_info_d\r\n         |        where day=\'").append(max_partition_info).append("\' and label=\'年龄\')g\r\n         |on a.coocaa_v_id=g.coocaa_v_id\r\n         |left join\r\n         |    (select distinct coocaa_v_id, year, douban_score, high_energy_status\r\n         |        from cayeneen_ods.ods_cc_video_2018_partitions\r\n         |        where dt=\'").append(max_partition_2018).append("\')e\r\n         |on a.coocaa_v_id=e.coocaa_v_id\r\n         |left join\r\n         |    (select coocaa_v_id, label_name as main_actor\r\n         |        from cayeneen_dws.dws_base_vid_info_d\r\n         |        where day=\'").append(max_partition_info).append("\' and label=\'演员\')f\r\n         |on a.coocaa_v_id=f.coocaa_v_id\r\n         |").toString()))).stripMargin()).dropDuplicates();
      Dataset rating = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(215)).append("\r\n         |select distinct coocaa_v_id as coocaa_v_id, rating, score as rating_score, category, third_source\r\n         |        from cayeneen_dws.dws_base_vid_rating_d_sc\r\n         |        where day=\'").append(max_partition_rating).append("\'\r\n         |").toString()))).stripMargin());
      Dataset cc_video = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(246)).append("\r\n        |select distinct coocaa_v_id, source, director, producer, writer, maker, description, release_time, issue_time, tag, extend_field2\r\n        |        from cayeneen_ods.ods_cc_video_2018_partitions\r\n        |        where dt=\'").append(max_partition_2018).append("\'\r\n        |").toString()))).stripMargin()).withColumn("is_exclusive", org.apache.spark.sql.functions..MODULE$.when(org.apache.spark.sql.functions..MODULE$.size(org.apache.spark.sql.functions..MODULE$.split(org.apache.spark.sql.functions..MODULE$.col("source"), ",")).$eq$eq$eq(BoxesRunTime.boxToInteger(1)), "2").otherwise("0"));
      Dataset cc_video_source = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(260)).append("\r\n         |select distinct coocaa_v_id, third_source, provider, stream_type , content_type, updated_segment as current_segment ,publist_segment\r\n         |        from cayeneen_ods.ods_cc_video_source_2018_partitions\r\n         |        where dt=\'").append(yesterday).append("\'\r\n         |").toString()))).stripMargin());
      Dataset cc_video_extension = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(187)).append("\r\n         |select coocaa_v_id, created_time, \'0\' as update_status from cayeneen_ods.ods_cc_video_source_2018_partitions\r\n         |where dt=\'").append(yesterday).append("\' and status=1 and content_type=0\r\n         |").toString()))).stripMargin());
      Dataset media_weight = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(350)).append("\r\n        |select coocaa_v_id,\r\n        |       default_weight,\r\n        |       category_weight,\r\n        |       uv_weight,\r\n        |       week_weight,\r\n        |       douban_weight,\r\n        |       segment_weight,\r\n        |       documentary_weight\r\n        |from cayeneen_ods.ods_cc_media_weight_source_new\r\n        |where dt = \'").append(yesterday).append("\'\r\n        |").toString()))).stripMargin()).dropDuplicates("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[0])));
      Dataset cc_movie = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(288)).append("\r\n        |select coocaa_v_id,\r\n        |       source as third_source,\r\n        |       FLOOR(SUM(duration)/COUNT(coocaa_m_id)) as duration_avr\r\n        |from cayeneen_ods.ods_cc_movie_2018_partitions\r\n        |       where dt = \'").append(yesterday).append("\'\r\n        |       group by coocaa_v_id,source\r\n        |").toString()))).stripMargin()).selectExpr(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"coocaa_v_id", "third_source", "duration_avr as duration"})));
      Dataset user_vid_info = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(271)).append("\r\n         |select coocaa_v_id, cast(day_uv as int), cast(week_average_uv as int), cast(month_uv as int),cast(day_pay_pv as int) as week_search_pv,\r\n         |source as third_source\r\n         |from cayeneen_dws.dws_user_video_info_new\r\n         |where dt = \'").append(max_partition_user_vid_info).append("\'\r\n         |").toString()))).stripMargin());
      Function2 var10001 = apply<invokedynamic>();
      JavaUniverse $u = scala.reflect.runtime.package..MODULE$.universe();
      JavaMirror $m = scala.reflect.runtime.package..MODULE$.universe().runtimeMirror(this.getClass().getClassLoader());
      TypeTag var10002 = ((TypeTags)$u).TypeTag().apply((Mirror)$m, new 1());
      JavaUniverse $u1 = scala.reflect.runtime.package..MODULE$.universe();
      JavaMirror $m1 = scala.reflect.runtime.package..MODULE$.universe().runtimeMirror(this.getClass().getClassLoader());
      TypeTag var10003 = ((TypeTags)$u1).TypeTag().apply((Mirror)$m1, new com.coocaa.app.base.recommender_material_info..typecreator2.1());
      JavaUniverse $u2 = scala.reflect.runtime.package..MODULE$.universe();
      JavaMirror $m2 = scala.reflect.runtime.package..MODULE$.universe().runtimeMirror(this.getClass().getClassLoader());
      UserDefinedFunction zip_c = org.apache.spark.sql.functions..MODULE$.udf(var10001, var10002, var10003, ((TypeTags)$u2).TypeTag().apply((Mirror)$m2, new com.coocaa.app.base.recommender_material_info..typecreator3.1()));
      String[] tagFilter = "未知、1、二刷、作家、春节、C、综合、B、帧享60p、春晚、原创、C级、广告、暂无、房地产、帧享120p、播报、经典译制片、无、小人物、关键、单点付费、其他、棉花糖、下半场、大功、探花、安全、锦鲤、电视、华表奖、互联网、申奥、播报、工程车、麦田、方言、黄金、沈阳、黄山、小鱼、黄河、祝愿、富贵、情景、A级、B级、朗思文化、团团、室内、C小调、平安、陈述、角色扮演、小成本、高大上、奶茶超人、华山、团队、留学生、种族歧视、7、愚人节、金、A、百亿播放量、六一儿童节、元宵节、教师节、中秋节、3D、台湾金马奖、公寓、泡面、4K、试探7-12岁、道奇、真人、爱丽、3D 动漫、2D 动漫、分饰两角、试探7-12岁、试探0-3岁、演出、AIGC剪辑、用户SEEK剪辑、介质分析剪辑、爱奇艺弹幕剪辑、常人、内地、普通话、剧情、华语、1080P、4K、2D、3DIMAX、IMAX、下册、习惯、乡村、公路、哈利、夏天、学生、小生、牛油果、HDR10、HDR、上册、个人、中年、当代、冷门好片、独播、腾讯独播电视剧、独播、现代、流行、经典、舞台、老年、电影精华片段、时装、短带长精选、臻彩视听、HDRVivid、CCTV、自制、热点、帧绮映画MAX、高能片段精华、高、动画、教育、爱情、御姐、国产动画、男孩爱看、女孩爱看、欧美动画、动画、少儿业务、女生爱看、男生爱看、诚实、爆款剧、优酷出品、优酷独播剧、动作、新片预热、预告独播、腾讯独播综艺、卫视热播、北京卫视、江苏卫视、浙江卫视、东方卫视、芒果出品、5685、湖南卫视、腾讯出品、腾讯独播动漫、卫视热播、金鹰奖、白玉兰奖、飞天奖、院线、冒险、S级、奇幻".replaceAll("\\s+", "").split("、");
      Dataset tag_code_weight = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(330)).append("\r\n         |select coocaa_v_id, tag_code, tag_weight\r\n         |from cayeneen_ods.ods_cc_video_tag_relation_2018_partitions\r\n         |where dt=\'").append(yesterday).append("\'\r\n         |and tag_weight not in (\'NULL\', \'null\', \'\', \' \', \'未知\', \'暂无\', \',\', \',,\', \',,,\')\r\n         |and tag_code not in (\'NULL\', \'null\', \'\', \' \')\r\n         |and status=\'1\'\r\n         |").toString()))).stripMargin()).withColumn("codeWeight", zip_c.apply(scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.split(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_code"})))).$(scala.collection.immutable.Nil..MODULE$), ","), org.apache.spark.sql.functions..MODULE$.split(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_weight"})))).$(scala.collection.immutable.Nil..MODULE$), ",")})))).withColumn("codeWeight", org.apache.spark.sql.functions..MODULE$.explode(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"codeWeight"})))).$(scala.collection.immutable.Nil..MODULE$))).withColumn("code", spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"codeWeight"})))).$(scala.collection.immutable.Nil..MODULE$).getField("_1")).withColumn("weight", spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"codeWeight"})))).$(scala.collection.immutable.Nil..MODULE$).getField("_2")).select("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"code", "weight"})));
      Dataset global_tag = spark.sql((new StringOps(scala.Predef..MODULE$.augmentString((new StringBuilder(295)).append("\r\n         |select tag_code as code, tag_cn_name, parent_code\r\n         |        from cayeneen_ods.ods_cc_global_media_tag\r\n         |        where dt = \'").append(yesterday).append("\' and\r\n         |        (parent_code in (\'251\', \'10\', \'247\', \'4644\', \'4656\', \'5436\', \'2758\', \'4655\') or path_name like \'%看点标签%\')\r\n         |").toString()))).stripMargin()).filter(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_cn_name"})))).$(scala.collection.immutable.Nil..MODULE$).isin(scala.Predef..MODULE$.genericWrapArray((Object[])tagFilter)).unary_$bang());
      Dataset tag_relation = tag_code_weight.join(global_tag, (Seq)(new colon("code", scala.collection.immutable.Nil..MODULE$)), "inner").withColumn("parent_tag_name", org.apache.spark.sql.functions..MODULE$.when(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_code"})))).$(scala.collection.immutable.Nil..MODULE$).isin((Seq)(new colon("10", new colon("4644", scala.collection.immutable.Nil..MODULE$)))), "影视分类").when(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_code"})))).$(scala.collection.immutable.Nil..MODULE$).$eq$eq$eq("247"), "影片奖项").when(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_code"})))).$(scala.collection.immutable.Nil..MODULE$).isin((Seq)(new colon("251", new colon("4656", new colon("5436", new colon("2758", new colon("4655", scala.collection.immutable.Nil..MODULE$))))))), "内容场景").otherwise("看点标签")).groupBy("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_cn_name", "parent_tag_name"}))).agg(org.apache.spark.sql.functions..MODULE$.max(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"weight"})))).$(scala.collection.immutable.Nil..MODULE$)).as("weight"), scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[0]))).withColumn("rank", org.apache.spark.sql.functions..MODULE$.row_number().over(org.apache.spark.sql.expressions.Window..MODULE$.partitionBy("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[0]))).orderBy(scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.desc("weight")}))))).filter("rank<30");
      Dataset tag_movie_classify = tag_relation.filter(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_tag_name"})))).$(scala.collection.immutable.Nil..MODULE$).$eq$eq$eq("影视分类")).groupBy("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[0]))).agg(org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_cn_name"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_classify"), scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"weight"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_classify_weight")})));
      Dataset tag_movie_awards = tag_relation.filter(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_tag_name"})))).$(scala.collection.immutable.Nil..MODULE$).$eq$eq$eq("影片奖项")).groupBy("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[0]))).agg(org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_cn_name"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_awards"), scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"weight"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_awards_weight")})));
      Dataset tag_movie_map = tag_relation.filter(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_tag_name"})))).$(scala.collection.immutable.Nil..MODULE$).$eq$eq$eq("内容场景")).groupBy("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[0]))).agg(org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_cn_name"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_map"), scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"weight"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_map_weight")})));
      Dataset tag_movie_watch = tag_relation.filter(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"parent_tag_name"})))).$(scala.collection.immutable.Nil..MODULE$).$eq$eq$eq("看点标签")).groupBy("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[0]))).agg(org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"tag_cn_name"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_watch"), scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.concat_ws(",", scala.Predef..MODULE$.wrapRefArray((Object[])(new Column[]{org.apache.spark.sql.functions..MODULE$.collect_list(spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"weight"})))).$(scala.collection.immutable.Nil..MODULE$))}))).as("tag_movie_watch_weight")})));
      Dataset vid_result = candidate.join(cc_video, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").na().fill("1", (Seq)(new colon("is_exclusive", scala.collection.immutable.Nil..MODULE$))).join(media_weight, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").join(cc_movie, (Seq)(new colon("coocaa_v_id", new colon("third_source", scala.collection.immutable.Nil..MODULE$))), "left").join(cc_video_source, (Seq)(new colon("coocaa_v_id", new colon("third_source", scala.collection.immutable.Nil..MODULE$))), "left").withColumn("limit_free", org.apache.spark.sql.functions..MODULE$.lit("0")).withColumn("poster_num", org.apache.spark.sql.functions..MODULE$.lit(BoxesRunTime.boxToInteger(0))).join(cc_video_extension, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").join(tag_movie_classify, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").join(tag_movie_awards, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").join(tag_movie_map, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").join(tag_movie_watch, (Seq)(new colon("coocaa_v_id", scala.collection.immutable.Nil..MODULE$)), "left").join(user_vid_info, (Seq)(new colon("coocaa_v_id", new colon("third_source", scala.collection.immutable.Nil..MODULE$))), "left").withColumn("license", org.apache.spark.sql.functions..MODULE$.lit((Object)null)).withColumn("item_rank", org.apache.spark.sql.functions..MODULE$.lit((Object)null)).withColumn("new_info", spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"coocaa_v_id"})))).$(scala.collection.immutable.Nil..MODULE$)).withColumn("category", spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"category_name"})))).$(scala.collection.immutable.Nil..MODULE$)).withColumn("category", spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"category_name"})))).$(scala.collection.immutable.Nil..MODULE$)).join(rating, (Seq)(new colon("coocaa_v_id", new colon("third_source", new colon("category", scala.collection.immutable.Nil..MODULE$)))), "left").dropDuplicates("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"third_source"}))).withColumn("video_type", org.apache.spark.sql.functions..MODULE$.lit("movie")).withColumn("coocaa_v_id", spark.implicits().StringToColumn(new StringContext(scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"third_id"})))).$(scala.collection.immutable.Nil..MODULE$)).select("coocaa_v_id", scala.Predef..MODULE$.wrapRefArray((Object[])(new String[]{"title", "third_source", "is_exclusive", "score", "douban_score", "hot", "duration", "business_type", "category_name", "category_id", "tag_name", "tag_code", "actor_name", "actor_code", "style", "director", "producer", "writer", "maker", "series_id", "series_title", "is_vip", "is_tv_od", "area", "year", "default_weight", "category_weight", "uv_weight", "week_weight", "douban_weight", "segment_weight", "documentary_weight", "day_uv", "week_average_uv", "month_uv", "week_search_pv", "provider", "license", "stream_type", "content_type", "current_segment", "publist_segment", "rating", "rating_score", "age", "high_energy_status", "poster_num", "description", "main_actor", "release_time", "tag_movie_watch", "tag_movie_classify", "tag_movie_awards", "tag_movie_map", "tag_movie_classify_weight", "tag_movie_awards_weight", "tag_movie_map_weight", "tag_movie_watch_weight", "item_rank", "video_type", "created_time", "update_status", "limit_free", "issue_time", "row_tag_name", "row_tag_code", "new_info", "tag_weight", "extend_field2", "tag"})));
      Dataset result_recommend_info = vid_result.withColumn("day", org.apache.spark.sql.functions..MODULE$.lit(yesterday));
      result_recommend_info.repartition(100).write().mode(SaveMode.Overwrite).option("codec", "org.apache.hadoop.io.compress.SnappyCodec").insertInto("cayeneen_ods.recommender_material_info");
      spark.stop();
   }

   // $FF: synthetic method
   public static final WrappedArray $anonfun$main$1(WrappedArray str_a, WrappedArray str_b) {
      WrappedArray str_c = (WrappedArray)str_a.zip(str_b, scala.collection.mutable.WrappedArray..MODULE$.canBuildFrom(scala.reflect.ClassTag..MODULE$.apply(Tuple2.class)));
      return str_c;
   }

   private recommender_material_info$() {
      MODULE$ = this;
   }

   // $FF: synthetic method
   private static Object $deserializeLambda$(SerializedLambda var0) {
      return lambdaDeserialize<invokedynamic>(var0);
   }
}
